This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1001644 - Request for upgrade of fltk in EL6 to the 1.3 branch
Request for upgrade of fltk in EL6 to the 1.3 branch
Status: CLOSED NOTABUG
Product: Fedora EPEL
Classification: Fedora
Component: fltk (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 08:56 EDT by Richard Shaw
Modified: 2015-02-18 12:30 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 12:30:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Shaw 2013-08-27 08:56:56 EDT
Description of problem:
The latest version of fldigi dropped support for fltk releases less than 1.3 and I was planning on an EPEL branch.

Affected packages seem to be:
# repoquery --resolve --whatrequires fltk
fltk-0:1.1.10-1.el6.x86_64
fltk-0:1.1.10-1.el6.i686
Pixie-0:2.2.6-3.el6.i686
Pixie-0:2.2.6-3.el6.x86_64
alsamixergui-0:0.9.0-0.9.rc2.el6.x86_64
aqsis-0:1.6.0-3.el6.x86_64
aqsis-libs-0:1.6.0-3.el6.i686
aqsis-libs-0:1.6.0-3.el6.x86_64
fltk-devel-0:1.1.10-1.el6.i686
fltk-devel-0:1.1.10-1.el6.x86_64
fltk-fluid-0:1.1.10-1.el6.x86_64
htmldoc-0:1.8.27-13.el6.x86_64
mup-0:6.1-4.el6.x86_64
octave-6:3.4.3-1.el6.i686
octave-6:3.4.3-1.el6.x86_64
rakarrack-0:0.5.8-2.el6.x86_64

CC'ing Nicolas, the maintainer of Pixie and aqsis, as he objected to the upgrade but did not provide any rationale.
Comment 1 Nicolas Chauvet (kwizart) 2013-10-01 17:29:21 EDT
I don't want any ABI break for EL6, that's an enough rationale.
Please try not to waste others time.
Comment 2 Rex Dieter 2013-10-01 17:36:15 EDT
Are you saying Pixie or aqsis won't or can't work with any newer fltk? or other known problems?

Fwiw, even RHEL does tech updates breaking abi in minor releases for good reasons occasionally, rejecting doing so here without further rationale is slightly less than constructive.
Comment 3 Richard Shaw 2013-12-30 08:35:45 EST
Unless we plan on staying at 1.1 forever, I think it would be appropriate to update fltk for EL7.
Comment 4 Rex Dieter 2013-12-30 09:34:09 EST
Updating to the latest for el7 is pretty much a given imho, no need to (re)open this bug for that.
Comment 5 Orion Poplawski 2015-02-18 12:30:00 EST
fltk is in RHEL7 it seems:

fltk.x86_64     1.3.0-13.el7               base

Note You need to log in before you can comment on or make changes to this bug.